海德LessCSS插件不小于文件转换为CSS

我一直试图让海德网站使用可用的最新版本(0.8.4)去。 我用内置的命令来创建一个网站hyde -s /path/to/dir create ,和所有工作得很好。 然后我跟一些例子,我发现,试图通过编辑得到LessCSS支持site.yaml文件:

plugins: - hyde.ext.plugins.meta.MetaPlugin - hyde.ext.plugins.auto_extend.AutoExtendPlugin - hyde.ext.plugins.sorter.SorterPlugin - hyde.ext.plugins.tagger.TaggerPlugin - hyde.ext.plugins.syntext.SyntextPlugin - hyde.ext.plugins.textlinks.TextlinksPlugin - hyde.ext.plugins.less.LessCSSPlugin # ... less: app: /path/to/lessc

我添加了一个非常基本的用较少的文件来检查它的工作原理:

/* content/media/css/style.less */ @color: blue; body { background-color: @color; }

而在我的应用程序包括它:

<link rel="stylesheet" href="{{ media_url('css/style.css') }}">

当我生成的网站,我看到在命令行输出正确的CSS body{background-color:blue};但该文件deploy/media/css/style.css只不过是一个副本less的文件。 对这个文档不是很大 - 有没有人得到它的工作? 谢谢。

--------------解决方案-------------

海德有一个广泛的测试套件和少CSS测试通过。 所以少插件不工作。 我能想到的唯一问题是less二进制文件。 海德的少插件被写入与JS版本的较少使用:https://github.com/cloudhead/less.js/。

分类:蟒蛇 时间:2015-03-15 人气:0
分享到:

相关文章

Copyright (C) 55228885.com, All Rights Reserved.

55228885 版权所有 京ICP备15002868号

processed in 1.940 (s). 10 q(s)